object rbfDemoForm: TrbfDemoForm
  Left = 173
  Top = 173
  Width = 789
  Height = 480
  Caption = 'RBF neural net'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  OnClose = rbfDemoFromClose
  OnCreate = rbfDemoFormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object initialisingGroupBox: TGroupBox
    Left = 0
    Top = 104
    Width = 250
    Height = 305
    Caption = 'Initialising'
    TabOrder = 0
    object centerMethodLabel: TLabel
      Left = 28
      Top = 88
      Width = 70
      Height = 13
      Caption = 'Center Method'
    end
    object topologyLabel: TLabel
      Left = 28
      Top = 144
      Width = 53
      Height = 13
      Caption = 'Topology'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object numberOfInputsLabel: TLabel
      Left = 28
      Top = 160
      Width = 116
      Height = 13
      Caption = 'Number of input neurons'
      FocusControl = centerMethodComboBox
    end
    object numberOfHiddensLabel: TLabel
      Left = 28
      Top = 208
      Width = 125
      Height = 13
      Caption = 'Number of hidden neurons'
    end
    object NumberOfOutputsLabel: TLabel
      Left = 28
      Top = 256
      Width = 123
      Height = 13
      Caption = 'Number of output neurons'
    end
    object chooseTrainingButton: TButton
      Left = 28
      Top = 33
      Width = 193
      Height = 40
      Caption = 'Choose trainingdata and initialise net'
      TabOrder = 0
      OnClick = chooseTrainingButtonClick
    end
    object centerMethodComboBox: TComboBox
      Left = 28
      Top = 104
      Width = 100
      Height = 21
      Style = csDropDownList
      ItemHeight = 13
      TabOrder = 1
      OnChange = centerMethodComboBoxChange
      Items.Strings = (
        'Direct'
        'Subset'
        'Cluster')
    end
    object numbOfInputsEdit: TEdit
      Left = 28
      Top = 176
      Width = 121
      Height = 21
      TabOrder = 2
      OnExit = numbOfInputsEditOnExit
    end
    object numbOfHiddensEdit: TEdit
      Left = 28
      Top = 224
      Width = 121
      Height = 21
      TabOrder = 3
      OnExit = numbOfHiddensEditOnExit
    end
    object numbOfOutputsEdit: TEdit
      Left = 28
      Top = 272
      Width = 121
      Height = 21
      TabOrder = 4
      OnExit = numbOfOutputsEditOnExit
    end
  end
  object learningGroupBox: TGroupBox
    Left = 260
    Top = 104
    Width = 250
    Height = 305
    Caption = 'Learning'
    TabOrder = 1
    object numbOfCyclesLabel: TLabel
      Left = 24
      Top = 136
      Width = 145
      Height = 13
      Caption = 'max. number of learning cycles'
    end
    object ErrorBoundLabel: TLabel
      Left = 24
      Top = 248
      Width = 55
      Height = 13
      Caption = 'Error bound'
    end
    object learningButton: TButton
      Left = 24
      Top = 33
      Width = 137
      Height = 40
      Caption = 'Start learning process'
      TabOrder = 0
      OnClick = learningButtonClick
    end
    object errorCheckBox: TCheckBox
      Left = 24
      Top = 224
      Width = 97
      Height = 17
      Caption = 'Error bound set'
      TabOrder = 1
    end
    object numbOfCyclesEdit: TEdit
      Left = 24
      Top = 152
      Width = 121
      Height = 21
      TabOrder = 2
      OnExit = numbOfCyclesEditOnExit
    end
    object ErrorBoundEdit: TEdit
      Left = 24
      Top = 264
      Width = 121
      Height = 21
      TabOrder = 3
      OnExit = errorBoundEditOnExit
    end
    object DivergeCheckBox: TCheckBox
      Left = 136
      Top = 224
      Width = 97
      Height = 17
      Caption = 'Divergence Flag'
      TabOrder = 4
    end
  end
  object verifyingGroupBox: TGroupBox
    Left = 520
    Top = 104
    Width = 250
    Height = 305
    Caption = 'Verifying'
    TabOrder = 2
    object trainingOutputButton: TButton
      Left = 15
      Top = 33
      Width = 220
      Height = 40
      Caption = 'Outputs of the net with training inputs'
      TabOrder = 0
      OnClick = trainingOutputButtonClick
    end
    object testButton: TButton
      Left = 15
      Top = 201
      Width = 220
      Height = 40
      Caption = 'Choose testdata and show outputs of the net'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = []
      ParentFont = False
      TabOrder = 1
      OnClick = testButtonClick
    end
  end
  object rbfnet: TTedRBFnet
    WeightMin = -0.020000000000000000
    WeightMax = 0.020000000000000000
    SeedWeights = 3
    FuncActivate = Gauss
    CenterMethod = Direct
    Sigma = 0.500000000000000000
    LearningRate = 0.050000000000000000
    TrainingPattern.TrainingValues = (
      3
      2
      (
        0.510000000000000000
        0.100000000000000000)
      4
      (
        0.200000000000000000
        0.400000000000000000
        0.600000000000000000
        0.800000000000000000)
      2
      (
        0.300000000000000000
        0.400000000000000000)
      4
      (
        0.500000000000000000
        0.100000000000000000
        0.100000000000000000
        1.000000000000000000)
      2
      (
        0.220000000000000000
        0.100000000000000000)
      4
      (
        0.010000000000000000
        0.400000000000000000
        0.200000000000000000
        0.010000000000000000))
    Left = 352
  end
  object opendialog: TOpenDialog
    InitialDir = 'c:\users\hadamschek\eigenekomponenten'
    Left = 96
    Top = 64
  end
end
